#
# Conditional build:
%bcond_without	static_libs	# static library

%define		xfce_version	4.20.0
Summary:	Xfce file manager
Summary(pl.UTF-8):	Zarządca plików Xfce
Name:		Thunar
Version:	4.20.3
Release:	1
License:	GPL v2 / LGPL v2
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/xfce/thunar/4.20/thunar-%{version}.tar.bz2
# Source0-md5:	b10066bfcb836b3b27b3ea6b43ae0ce1
Patch0:		%{name}-desktop.patch
URL:		https://docs.xfce.org/xfce/thunar/start
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exo-devel >= 4.20.0
BuildRequires:	gdk-pixbuf2-devel >= 2.42.8
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.72.0
BuildRequires:	gobject-introspection-devel >= 1.72.0
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	libexif-devel >= 0.6.0
BuildRequires:	libgudev-devel >= 145
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libtool >= 2:2.4
BuildRequires:	libxfce4ui-devel >= %{xfce_version}
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	pango-devel >= 1:1.38.0
BuildRequires:	pcre-devel >= 6.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.011
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
BuildRequires:	xfce4-panel-devel >= %{xfce_version}
BuildRequires:	xfconf-devel >= %{xfce_version}
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,preun):	systemd-units >= 1:250.1
Requires:	%{name}-libs = %{version}-%{release}
Requires:	exo >= 4.20.0
Requires:	gdk-pixbuf2 >= 2.42.8
Requires:	hicolor-icon-theme
Requires:	libnotify >= 0.4.0
Requires:	libxfce4ui >= %{xfce_version}
Requires:	libxfce4util >= %{xfce_version}
Requires:	pango >= 1:1.38.0
Requires:	shared-mime-info >= 0.15
Requires:	systemd-units >= 1:250.1
Requires:	xfconf >= %{xfce_version}
Suggests:	tumbler
Obsoletes:	Thunar-thumbnailers < 0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Thunar is a modern file manager, aiming to be easy-to-use and fast.

%description -l pl.UTF-8
Thunar jest nowoczesnym zarządcą plików, nakierowanym na łatwość i
szybkość użycia.

%package libs
Summary:	Thunar libraries
Summary(pl.UTF-8):	Biblioteki Thunar
Group:		X11/Libraries
Requires:	glib2 >= 1:2.72.0
Requires:	gtk+3 >= 3.24.0
Obsoletes:	thunar-vfs < 1.3

%description libs
Thunar libraries.

%description libs -l pl.UTF-8
Biblioteki Thunar.

%package devel
Summary:	Header files for Thunar libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Thunar
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.72.0
Requires:	gtk+3-devel >= 3.24.0
Obsoletes:	thunar-vfs-devel < 1.3

%description devel
This is the package containing the header files for Thunar libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Thunar.

%package static
Summary:	Static Thunar libraries
Summary(pl.UTF-8):	Statyczne biblioteki Thunar
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	thunar-vfs-static < 1.3

%description static
Static Thunar libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Thunar.

%package apidocs
Summary:	Thunar API documentation
Summary(pl.UTF-8):	Dokumentacja API Thunar
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	thunar-vfs-apidocs < 1.3
BuildArch:	noarch

%description apidocs
Thunar API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Thunar.

%prep
%setup -q -n thunar-%{version}
%patch -P0 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-exif \
	--enable-gtk-doc \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/thunarx-3/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# unify
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{fa_IR,fa}
# duplicate of hy,ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hy_AM,ur_PK}
# not supported by glibc (as of 2.37)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,ie,vec}

%find_lang thunar

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%systemd_user_post thunar.service

%preun
%systemd_user_preun thunar.service

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f thunar.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS THANKS
%attr(755,root,root) %{_bindir}/Thunar
%attr(755,root,root) %{_bindir}/thunar
%attr(755,root,root) %{_bindir}/thunar-settings
%dir %{_sysconfdir}/xdg/Thunar
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/Thunar/*.xml
%dir %{_libdir}/Thunar
%attr(755,root,root) %{_libdir}/Thunar/thunar-sendto-email
%dir %{_libdir}/thunarx-3
%attr(755,root,root) %{_libdir}/thunarx-3/thunar-*.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libthunar-tpa.so

%{systemduserunitdir}/thunar.service
%{_datadir}/dbus-1/services/org.xfce.FileManager.service
%{_datadir}/dbus-1/services/org.xfce.Thunar.service
%{_datadir}/dbus-1/services/org.xfce.Thunar.FileManager1.service
%{_datadir}/metainfo/org.xfce.thunar.appdata.xml
%{_datadir}/polkit-1/actions/org.xfce.thunar.policy
%{_datadir}/Thunar/sendto/thunar-sendto-email.desktop
%{_datadir}/xfce4/panel/plugins/thunar-tpa.desktop
%{_desktopdir}/thunar.desktop
%{_desktopdir}/thunar-bulk-rename.desktop
%{_desktopdir}/thunar-settings.desktop
%{_iconsdir}/hicolor/*x*/apps/org.xfce.thunar.png
%{_iconsdir}/hicolor/*x*/stock/navigation/stock_folder-*.png
%{_iconsdir}/hicolor/scalable/apps/org.xfce.thunar.svg
%{_mandir}/man1/Thunar.1*

%dir %{_docdir}/thunar
# move it to proper place
%{_docdir}/thunar/README*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthunarx-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthunarx-3.so.0
%{_libdir}/girepository-1.0/Thunarx-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthunarx-3.so
%{_includedir}/thunarx-3
%{_pkgconfigdir}/thunarx-3.pc
%{_datadir}/gir-1.0/Thunarx-3.0.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libthunarx-3.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/thunar
%{_gtkdocdir}/thunarx
%changelog
* Sun May 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Thunar.git;a=log;h=master

* Sun May 18 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0e28cd3
- up to 4.20.3

* Tue Feb 11 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c829737
- up to 4.20.2

* Tue Dec 31 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ec308ef
- up to 4.20.1

* Sat Dec 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 06d3fb5
- updated dependencies

* Sat Dec 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c4f920e
- up to 4.20.0

* Tue Jul 30 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a9e6efd
- up to 4.18.11

* Sun Dec 31 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> dc3f14d
- up to 4.18.10

* Thu Dec 28 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 46dfcb8
- up to 4.18.9

* Wed Oct 25 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f5878b4
- up to 4.18.8

* Mon Sep 04 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 351317a
- up to 4.18.7

* Mon Jun 12 2023 Jakub Bogusz <qboosh@pld-linux.org> ff8bf4a
- updated URL and dependencies, package fa locale, moved thunar API doc to -apidocs

* Sun Apr 30 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> feac32d
- up to 4.18.6

* Fri Apr 28 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ca9ea2c
- up to 4.18.5

* Wed Feb 22 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f182f05
- up to 4.18.4

* Mon Jan 23 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 53ddccd
-  up to 4.18.3

* Tue Jan 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fed03fd
- up to 4.18.2

* Thu Dec 22 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 59d0b63
- up to 4.18.1

* Fri Dec 16 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6649696
- up to 4.18.0

* Fri Apr 08 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 249b88d
- up to 4.16.11

* Mon Feb 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 95d998b
- systemd epoch

